Page MenuHomePhabricator

puppet_alert.py - "It has been 86400 seconds since last Puppet run.Sending nag emails."
Closed, ResolvedPublic

Description

Cronspam:

Subject: Cron <root@tools-sgeexec-0905> /usr/local/sbin/puppet_alert.py
Date: Fri, 22 Mar 2019 08:15:04 +0000
From: Cron Daemon <root@tools.wmflabs.org>
To: root@tools.wmflabs.org

It has been 86400 seconds since last Puppet run.Sending nag emails.

Alert email is received so this extra email from cron is unnecessary. Script should log this to syslog instead, if necessary.

Event Timeline

GTirloni triaged this task as Low priority.Mar 22 2019, 11:23 AM
GTirloni created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2019, 11:23 AM

Change 498353 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] puppet_alert - Log to syslog instead of stdout

https://gerrit.wikimedia.org/r/498353

jcrespo added a subscriber: jcrespo.

Added T132324 as a parent for tracking purpuses, remove if not appropiate. Thanks for working on this!

GTirloni removed a subscriber: GTirloni.Mar 23 2019, 8:46 PM

Change 498353 merged by GTirloni:
[operations/puppet@production] puppet_alert - Log to syslog instead of stdout

https://gerrit.wikimedia.org/r/498353

bd808 closed this task as Resolved.Jun 3 2019, 2:38 AM
bd808 assigned this task to GTirloni.